Package: io.vertx.groovy.ext.asyncsql

## [Groovy] Class AsyncSQLClient

- io.vertx.groovy.ext.asyncsql.AsyncSQLClient

- Represents an asynchronous SQL client

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AsyncSQLClient (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `close()` Close the client and release all resources.
    `void` | `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> whenDone)` Close the client and release all resources.
    `void` | `getConnection(io.vertx.core.Handler<io.vertx.core.AsyncResult<SQLConnection>> handler)` Returns a connection that can be used to perform SQL operations on.
    `java.lang.Object` | `getDelegate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### AsyncSQLClient(java.lang.Object delegate)

  - ### Method Detail

    - #### void close()

      Close the client and release all resources. Note that closing is asynchronous.

    - #### void close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> whenDone)

      Close the client and release all resources. Call the handler when close is complete.

      Parameters:
        `whenDone` - handler that will be called when close is complete

    - #### void getConnection(io.vertx.core.Handler<io.vertx.core.AsyncResult<SQLConnection>> handler)

      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.

      Parameters:
        `handler` - the handler which is called when the `JdbcConnection` object is ready for use.

    - #### java.lang.Object getDelegate()